Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
nataca

Lisp thiết kế taluy trong Nova14

Các bài được khuyến nghị

nataca    553

Mình lục lọi mấy "đồ nghề" của các bậc tiền bối thì thấy có cái này:

(defun C:D5 ()
 (setq p (getpoint "\nChon phia ta luy can sua ..."))
 (command "TL" P "1" "66.67"  "")
 )

(defun C:T6 ()
 (setq p (getpoint "\nChon phia ta luy can sua ..."))
 (command "TL" P "1" "6"  "")
 )
(defun C:T11 ()
 (setq p (getpoint "\nChon phia ta luy can sua ..."))
 (command "TL" P "1" "100"  "")
 )

(defun C:T5 ()
 (setq p (getpoint "\nChon phia ta luy can sua ..."))
 (command "TL" P "1" "-200"  "")
 )

(defun C:T7 ()
 (setq p (getpoint "\nChon phia ta luy can sua ..."))
 (command "TL" P "1" "-133.33"  "")
 )
(defun C:RX5 ()
 (setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "0.01" "-200" "")
 )

(defun C:RXa ()
 (setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "0.01" "-6" "")
 )

(defun C:RXb ()
 (setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "0.01" "66.67" "")
 )

(defun C:RXc ()
 (setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "0.01" "6" "")
 )

(defun C:RX ()
 (setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "0.01" "-133.33" "")
 )

(defun C:RC ()
 (setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
 )

(defun C:R ()
 (setq p (getpoint "\nChon phia ta luy can TK ranh ..."))
 (command "TL" P "0.3" "133.33"  "0.4" "0" "0.3" "-133.33" "0.01" "-133.33" "")
 )

(defun C:Rr ()
 (setq p (getpoint "\nChon phia ta luy can TK ranh ..."))
 (command "TL" P "0.3" "133.33"  "0.4" "0" "0.3" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
 )

(defun C:R5 ()
 (setq p (getpoint "\nChon phia ta luy can TK ranh ..."))
 (command "TL" P "0.3" "133.33"  "0.4" "0" "0.3" "-133.33" "0.01" "-200" "")
 )

(defun C:RdC ()
 (setq
   kc (getreal "\nKhoang cach tu vai duong toi taluy ranh : ")
   p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P kc "66.67" "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
 )

(defun C:RDB7 ()
 (setq
   kc (getreal "\nKhoang cach tu vai duong toi taluy ranh : ")
   idoc 66.67;(getreal "\nDo doc ta luy (%): ")
   p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P kc idoc "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "0.01" "-133.33" "")
 )

(defun C:TDB5 ()
 (setq p (getpoint "\nChon phia ta luy can dat cap ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "3" "-200" "2" "2" "0.01" "-200" "")
 )

(defun C:TDB ()
 (setq p (getpoint "\nChon phia ta luy can dat cap ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
 )
(defun C:TDB2 ()
 (setq p (getpoint "\nChon phia ta luy can dat cap ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
 )

Đây là mấy lệnh thiết kế taluy nhanh trong Nova14. Tuy nhiên mình thử chạy ở trong Nova 14 thì cái lisp này ko có tác dụng j. Cũng có thể có một thiết lập nào đó trước mà mình chưa phát hiện ra. Anh em có ai dùng đến cái này rồi hướng dẫn hộ mình chút nhé :( . Cám ơn nhiều !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
minhnghi    3
Mình lục lọi mấy "đồ nghề" của các bậc tiền bối thì thấy có cái này:

(defun C:D5 ()
 (setq p (getpoint "\nChon phia ta luy can sua ..."))
 (command "TL" P "1" "66.67"  "")
 )

(defun C:T6 ()
 (setq p (getpoint "\nChon phia ta luy can sua ..."))
 (command "TL" P "1" "6"  "")
 )
(defun C:T11 ()
 (setq p (getpoint "\nChon phia ta luy can sua ..."))
 (command "TL" P "1" "100"  "")
 )

(defun C:T5 ()
 (setq p (getpoint "\nChon phia ta luy can sua ..."))
 (command "TL" P "1" "-200"  "")
 )

(defun C:T7 ()
 (setq p (getpoint "\nChon phia ta luy can sua ..."))
 (command "TL" P "1" "-133.33"  "")
 )
(defun C:RX5 ()
 (setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "0.01" "-200" "")
 )

(defun C:RXa ()
 (setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "0.01" "-6" "")
 )

(defun C:RXb ()
 (setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "0.01" "66.67" "")
 )

(defun C:RXc ()
 (setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "0.01" "6" "")
 )

(defun C:RX ()
 (setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "0.01" "-133.33" "")
 )

(defun C:RC ()
 (setq p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
 )

(defun C:R ()
 (setq p (getpoint "\nChon phia ta luy can TK ranh ..."))
 (command "TL" P "0.3" "133.33"  "0.4" "0" "0.3" "-133.33" "0.01" "-133.33" "")
 )

(defun C:Rr ()
 (setq p (getpoint "\nChon phia ta luy can TK ranh ..."))
 (command "TL" P "0.3" "133.33"  "0.4" "0" "0.3" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
 )

(defun C:R5 ()
 (setq p (getpoint "\nChon phia ta luy can TK ranh ..."))
 (command "TL" P "0.3" "133.33"  "0.4" "0" "0.3" "-133.33" "0.01" "-200" "")
 )

(defun C:RdC ()
 (setq
   kc (getreal "\nKhoang cach tu vai duong toi taluy ranh : ")
   p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P kc "66.67" "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
 )

(defun C:RDB7 ()
 (setq
   kc (getreal "\nKhoang cach tu vai duong toi taluy ranh : ")
   idoc 66.67;(getreal "\nDo doc ta luy (%): ")
   p (getpoint "\nChon phia ta luy can gia co ranh ..."))
 (command "TL" P kc idoc "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "0.01" "-133.33" "")
 )

(defun C:TDB5 ()
 (setq p (getpoint "\nChon phia ta luy can dat cap ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "3" "-200" "2" "2" "0.01" "-200" "")
 )

(defun C:TDB ()
 (setq p (getpoint "\nChon phia ta luy can dat cap ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
 )
(defun C:TDB2 ()
 (setq p (getpoint "\nChon phia ta luy can dat cap ..."))
 (command "TL" P "0.5254" "133.33"  "0.7" "0" "0.5254" "-133.33" "4.5" "-133.33" "2" "2" "4.5" "-133.33" "2" "2" "0.01" "-133.33" "")
 )

Đây là mấy lệnh thiết kế taluy nhanh trong Nova14. Tuy nhiên mình thử chạy ở trong Nova 14 thì cái lisp này ko có tác dụng j. Cũng có thể có một thiết lập nào đó trước mà mình chưa phát hiện ra. Anh em có ai dùng đến cái này rồi hướng dẫn hộ mình chút nhé :mellow: . Cám ơn nhiều !

Mình cũng đã xem qua mấy lisp này nhưng cũng thực sự chưa bít là nó dùng để làm gì, mình có xem mấy lisp vẽ taluy trong cad nhưng nó chưa được ổn lắm. Không bít bác nào rành thì chỉ giáo cho anh em xem phát nhẩy.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tucdrom    642
Mình lục lọi mấy "đồ nghề" của các bậc tiền bối thì thấy có cái này:

Đây là mấy lệnh thiết kế taluy nhanh trong Nova14. Tuy nhiên mình thử chạy ở trong Nova 14 thì cái lisp này ko có tác dụng j. Cũng có thể có một thiết lập nào đó trước mà mình chưa phát hiện ra. Anh em có ai dùng đến cái này rồi hướng dẫn hộ mình chút nhé :mellow: . Cám ơn nhiều !

Theo em Lisp này ko được ổn cho lắm.Khi thiết kế taluy cho 1 mặt cắt ngang bất kỳ thì Lisp này ko xoá đi được taluy cũ(taluy ban đầu Nova xuất ra bị lỗi) đi,mà nó thiết kế tiếp bắt đầu từ lề gia cố.

Em dùng mấy lệnh thiết kế taluy của Nova(DTD,DNTKTN,TL) cho lành vậy?Có bác nào dùng lisp này rồi cho em ý kiến phát coi.Next-->

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nataca    553
Theo em Lisp này ko được ổn cho lắm.Khi thiết kế taluy cho 1 mặt cắt ngang bất kỳ thì Lisp này ko xoá đi được taluy cũ(taluy ban đầu Nova xuất ra bị lỗi) đi,mà nó thiết kế tiếp bắt đầu từ lề gia cố.

Em dùng mấy lệnh thiết kế taluy của Nova(DTD,DNTKTN,TL) cho lành vậy?Có bác nào dùng lisp này rồi cho em ý kiến phát coi.Next-->

Thực ra cái "ý" của lisp này thì mình hiểu. Nó thay cho thao tác gõ trên dòng command thôi. Cái này nếu dùng được thì sẽ rất nhanh, tiết kiệm công sức (ai đã từng làm nhiều về thiết kế taluy trắc ngang trong Nova 14 thì hiểu hơn ai hết sự cực nhọc và nhàm chán này). Tuy nhiên lệnh TL không phải là lệnh gốc của cad mà là lệnh của một ARX nên nó không cho phép "vô tư" như thế.

- Thứ nhất mình nghĩ đoạn lisp này muốn sử dụng được thì phải làm cách nào đó để lệnh TL được coi như lệnh gốc của cad.

- Thứ 2 là ta phải đi theo 1 hướng khác. Đó là khai thác Xdata của đối tượng thuộc Nova. Mỗi đối tượng trong Nova được quản lý bằng một Xdata riêng. Mình đang ngâm cứu để làm chủ được hết các dữ liệu mở rộng này. Giải quyết taluy chỉ là 1 góc nhỏ trong đó thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Snowman    90

Chú Natasa! Chú lục lại đồ nghề của "tiền bối" thì cũng nên hỏi trực tiếp "tiền bối" chứ :mellow:

Mấy cái lisp này có "ý nghĩa lịch sử" của nó đấy, bọn anh dùng suốt mà !(anh tưởng hồi trước chú đã được truyền "bí kíp" này rồi chứ nhỉ :mellow: )

Mấy cái lisp này hiện đại lắm, chỉ dùng với Nova 2K trở lên thôi chú ạ!

Nova 2K cũng cho khai báo taluy dạng bất kỳ nhưng chỉ áp một loạt giống nhau là nhanh, ko cơ động bằng lisp.

Dùng lisp để rút ngắn một số lệnh của Nova 2K cũng tiện, nhưng nếu ko quen dùng sẽ ... fatal error ---> làm lại từ đầu :cheers:

Ps: Chú Natasa với mấy a e dạo này cày cuốc bận rộn lắm fải ko? :cheers:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nataca    553
Chú Natasa! Chú lục lại đồ nghề của "tiền bối" thì cũng nên hỏi trực tiếp "tiền bối" chứ :mellow:

Mấy cái lisp này có "ý nghĩa lịch sử" của nó đấy, bọn anh dùng suốt mà !(anh tưởng hồi trước chú đã được truyền "bí kíp" này rồi chứ nhỉ :mellow: )

Mấy cái lisp này hiện đại lắm, chỉ dùng với Nova 2K trở lên thôi chú ạ!

Nova 2K cũng cho khai báo taluy dạng bất kỳ nhưng chỉ áp một loạt giống nhau là nhanh, ko cơ động bằng lisp.

Dùng lisp để rút ngắn một số lệnh của Nova 2K cũng tiện, nhưng nếu ko quen dùng sẽ ... fatal error ---> làm lại từ đầu :mellow:

Ps: Chú Natasa với mấy a e dạo này cày cuốc bận rộn lắm fải ko? :s_big:

Cám ơn bác, em cũng không để ý là nhà mình còn dùng cả Nova2k :mellow: . Tại vì cái khoá cứng Nova2k nhà mình nó ko ưa một số Main cộng với thi thoảng gây lỗi chết người nên em cho nó vào viện bảo tàng lâu rồi. Dùng Nova 14 cho ổn đinh. Hơn nữa có tool zoom chuột giữa và kết hợp 1 số lisp thì nó không thua Nova2k là mấy.

Ps: Dạo này cũng nhiều việc lắm bác ạ. Giá mà có các bác giúp 1 tay thì tốt biết mấy. À, trình Đế Chế và Fifa của bác lên chưa hum nào gặp gỡ nhể :cheers: , dạo này bác còn bị vợ càu nhàu vì thức đêm chơi game nữa ko :cheers:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
BigBill    11
Dùng Nova 14 cho ổn đinh. Hơn nữa có tool zoom chuột giữa và kết hợp 1 số lisp thì nó không thua Nova2k là mấy.

Bác có thể chia sẻ với mọi người không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ktsk80    27
Mình lục lọi mấy "đồ nghề" của các bậc tiền bối thì thấy có cái này:

...

Đây là mấy lệnh thiết kế taluy nhanh trong Nova14. Tuy nhiên mình thử chạy ở trong Nova 14 thì cái lisp này ko có tác dụng j. Cũng có thể có một thiết lập nào đó trước mà mình chưa phát hiện ra. Anh em có ai dùng đến cái này rồi hướng dẫn hộ mình chút nhé :mellow: . Cám ơn nhiều !

 

Mình không biết Nova 14, nhưng trong cad vẽ taluy không khó, nếu không muốn nói là quá dễ. Chẳng qua các bạn không để ý thôi. Thực ra, mình có thể viết một lip vẽ taluy cũng được nhưng vì việc vẽ đơn giản nên thôi không viết.

Bạn có thể làm thế này trong cad :

1- vẽ một taluy mẫu (gồm hai gạch ngắn và một gạch dài)

2- Tạo block tên là taluy, với điểm chen tại chân nét vẽ dài

3- gọi lệnh divider hoặc measure cũng được, với tùy chọn dấu chia là block taluy. thế là xong.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nataca    553
Mình không biết Nova 14, nhưng trong cad vẽ taluy không khó, nếu không muốn nói là quá dễ. Chẳng qua các bạn không để ý thôi. Thực ra, mình có thể viết một lip vẽ taluy cũng được nhưng vì việc vẽ đơn giản nên thôi không viết.

Bạn có thể làm thế này trong cad :

1- vẽ một taluy mẫu (gồm hai gạch ngắn và một gạch dài)

2- Tạo block tên là taluy, với điểm chen tại chân nét vẽ dài

3- gọi lệnh divider hoặc measure cũng được, với tùy chọn dấu chia là block taluy. thế là xong.

Hì. Hì bác không biết Nova 14 nên bác không biết được thiết kế mái taluy là đúng rồi. Cái bác vừa nói là rải taluy và cách rải của bác có thể làm nhanh hơn rất nhiều bằng lisp, hơn nữa chiều dài taluy ngắn và taluy dài có thể thay đổi đều chứ không chỉ cố định là 1 block.

Tool zoom chuột giữa của cad14 đã có trên diễn đàn rồi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thaihoa123    0
Hì. Hì bác không biết Nova 14 nên bác không biết được thiết kế mái taluy là đúng rồi. Cái bác vừa nói là rải taluy và cách rải của bác có thể làm nhanh hơn rất nhiều bằng lisp, hơn nữa chiều dài taluy ngắn và taluy dài có thể thay đổi đều chứ không chỉ cố định là 1 block.

Tool zoom chuột giữa của cad14 đã có trên diễn đàn rồi.

 

em vẫn dùng CAD14 nhưng tìm mãi cái tool zoom chuột giữa trên diễn đàn mà không thấy, các Bác có thể up lên diễn đàn được khỗng?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thaistreetz    515
em vẫn dùng CAD14 nhưng tìm mãi cái tool zoom chuột giữa trên diễn đàn mà không thấy, các Bác có thể up lên diễn đàn được khỗng?

Diễn đàn có chức năng tìm kiếm. mình gõ từ khóa zoom cad14 1 phát là ra ngay. bạn làm thử 1 lần đi cho biết, lần sau đỡ fải hỏi. Ngay cả Google cũng rất dễ để tìm thấy nó chứ khó khăn gì đâu bạn?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nataca    553
Bác Nataca nghiên cứu cái này đã có kết quả gì chưa?

Trời ơi! em fát rồ vì đống trắc ngang này mất.

Taluy dap:
6 66.666  
Taluy dao ranh dat:
0.4 100 0.4 0 0.4 -100 1 -133.3333  
Taluy dao ranh da:
0.7 100 0.64853 0 0.7 -100 1 -133.3333  
Taluy ranh da Print
0.424264 0 0.4 100 0.4 0 0.4 -100 0.424264 0 1 -133.33333

đây là một đoạn trong file *.txt mà mình hay dùng để làm taluy. Khi thiết kế taluy Nova bắt "nhập đi nhập lại" nên mình viết sẵn các giai đoạn nhập để khi đánh lệnh TL thì mình copy đoạn code trên xuống dòng command. Với dạng taluy phức tạp thì dùng cái này mình thấy tiện.

Còn vấn đề viết lisp để thiết kế taluy thì mình đã thử. Nhưng chưa làm thế nào cho thằng Nova hiểu (dù đã thêm Xdata cho nó đầy đủ).

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thiep    263
Taluy dap:
6 66.666  
Taluy dao ranh dat:
0.4 100 0.4 0 0.4 -100 1 -133.3333  
Taluy dao ranh da:
0.7 100 0.64853 0 0.7 -100 1 -133.3333  
Taluy ranh da Print
0.424264 0 0.4 100 0.4 0 0.4 -100 0.424264 0 1 -133.33333

đây là một đoạn trong file *.txt mà mình hay dùng để làm taluy. Khi thiết kế taluy Nova bắt "nhập đi nhập lại" nên mình viết sẵn các giai đoạn nhập để khi đánh lệnh TL thì mình copy đoạn code trên xuống dòng command. Với dạng taluy phức tạp thì dùng cái này mình thấy tiện.

Còn vấn đề viết lisp để thiết kế taluy thì mình đã thử. Nhưng chưa làm thế nào cho thằng Nova hiểu (dù đã thêm Xdata cho nó đầy đủ).

Cách đây gần 1 tháng, Thiep cũng viết 1 lisp taluy giúp cho 1 thằng em làm nghề trắc đạc. Bây giờ mình đang đi công tác chỉ mang theo file taluy.fas. lệnh là tlu, chọn curve mái taluy, chọn curve chân taluy. OK

http://www.cadviet.com/upfiles/2/noname

Hình như upload không được thì phải ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nataca    553
Cách đây gần 1 tháng, Thiep cũng viết 1 lisp taluy giúp cho 1 thằng em làm nghề trắc đạc. Bây giờ mình đang đi công tác chỉ mang theo file taluy.fas. lệnh là tlu, chọn curve mái taluy, chọn curve chân taluy. OK

http://www.cadviet.com/upfiles/2/noname

Hình như upload không được thì phải ?

Thiep hiểu sai rồi. đây là thiết kế taluy trên trắc ngang chứ không phải trên bình đồ. Nếu bạn ở bên chuyên ngành giao thông thuỷ lợi thì sẽ hiểu

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thaistreetz    515

Hay thật đấy bác Nataca ạ. Đúng là cái khó nó cái khôn. hiệu quả của cách làm này cũng không thua kém việc dùng lisp là mấy.

hị! em cảm ơn bác nhiều vì đã chia sẻ kinh nghiệm hay ho này :tongue2:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
votanphu    5

Taluy dap:

6 66.666

Taluy dao ranh dat:

0.4 100 0.4 0 0.4 -100 1 -133.3333

Taluy dao ranh da:

0.7 100 0.64853 0 0.7 -100 1 -133.3333

Taluy ranh da Print

0.424264 0 0.4 100 0.4 0 0.4 -100 0.424264 0 1 -133.33333

 

đây là một đoạn trong file *.txt mà mình hay dùng để làm taluy. Khi thiết kế taluy Nova bắt "nhập đi nhập lại" nên mình viết sẵn các giai đoạn nhập để khi đánh lệnh TL thì mình copy đoạn code trên xuống dòng command. Với dạng taluy phức tạp thì dùng cái này mình thấy tiện.

Còn vấn đề viết lisp để thiết kế taluy thì mình đã thử. Nhưng chưa làm thế nào cho thằng Nova hiểu (dù đã thêm Xdata cho nó đầy đủ).

 

BÁC NATACA CÓ THỂ GỬI FILE TEXT ĐỂ ANH EM THAM KHAO DUOC KO

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
meohoang    342
Chú Natasa! Chú lục lại đồ nghề của "tiền bối" thì cũng nên hỏi trực tiếp "tiền bối" chứ :cheers:

Mấy cái lisp này có "ý nghĩa lịch sử" của nó đấy, bọn anh dùng suốt mà !(anh tưởng hồi trước chú đã được truyền "bí kíp" này rồi chứ nhỉ :blink: )

Mấy cái lisp này hiện đại lắm, chỉ dùng với Nova 2K trở lên thôi chú ạ!

Nova 2K cũng cho khai báo taluy dạng bất kỳ nhưng chỉ áp một loạt giống nhau là nhanh, ko cơ động bằng lisp.

Dùng lisp để rút ngắn một số lệnh của Nova 2K cũng tiện, nhưng nếu ko quen dùng sẽ ... fatal error ---> làm lại từ đầu :D

Bác Snowman xem lại theo ý mình thì các lisp này bỏ cái dòng getpoint đi chỉ lấy dòng command thôi và sau "TL" thay chữ P = chữ pause là ngon lành cho mà xem

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tamakgl    0

Co pac nao co chuong trinh topo:tk xong trac doc+ngang ko cho minh xin voi.con topo2005 minh co chi lap duoc binh do,ve tuyen dang tao cong nam thi bi loi ko lam tiep duoc.pac nao co thi cho minh xin voi sdt cua minh 0906419569 (Tam) Thank!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Taluy dap:
6 66.666  
Taluy dao ranh dat:
0.4 100 0.4 0 0.4 -100 1 -133.3333  
Taluy dao ranh da:
0.7 100 0.64853 0 0.7 -100 1 -133.3333  
Taluy ranh da Print
0.424264 0 0.4 100 0.4 0 0.4 -100 0.424264 0 1 -133.33333

đây là một đoạn trong file *.txt mà mình hay dùng để làm taluy. Khi thiết kế taluy Nova bắt "nhập đi nhập lại" nên mình viết sẵn các giai đoạn nhập để khi đánh lệnh TL thì mình copy đoạn code trên xuống dòng command. Với dạng taluy phức tạp thì dùng cái này mình thấy tiện.

Còn vấn đề viết lisp để thiết kế taluy thì mình đã thử. Nhưng chưa làm thế nào cho thằng Nova hiểu (dù đã thêm Xdata cho nó đầy đủ).

Sao anh không đưa đoạn code vào lisp luôn nhỉ chứ nhiều khi dán cũng mất công lém

TK bác vì đoạn code rất hay !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×